FireFoxPortable升级3.5手记

[BlogPost]FireFoxPortable升级3.5手记
tag: Firefox


1. 两个周没来上班,公司的便携版貌似比较久远,中间跨越了3.0.11,使用自动更新直接跳到了3.5
 
2. 下载完毕后提示,扩展里面有几个不兼容:
   fireGestures - 自动发现兼容包,更新
   Xmarks - 自动发现兼容包,更新
   CustomizeGoogle - 未自动发现兼容包
 
3. 更新完毕,进入界面发现原来更新的版本是EN版
不管了,先用
 
4. 又手动更新了几个已禁用扩展的版本,重启
结果发现提示什么“firefox 3.5 XML解析错误:未定义的实体 ”
经查是语言包不再适用。
自己尝试解决:
 1)关闭ff
 2)去到FireFoxPortable3AppFirefoxchrome 下,新建一个bak目录,把zh-CN.jar 和 zh-CN.manifest 剪切进去
 3)启动ff,不再出现错误提示。但版本是英文
 4)下载并安装中文语言包:ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/3.5/win32/xpi/zh-CN.xpi
 5)问题解决
 
5. 继续使用中发现tab有时候关不掉,使用ctrl +W,双击,右键关闭等各种方式都不可以
怀疑是还有某扩展不兼容,在豆瓣上看到有人也提到此问题,并提到tab Mix lite CE扩展。
尝试禁用TMLC,问题解决。
于是上sociz上找TMLC,发现其实已经更新到了3.0.5(FF官网的扩展库里最新的还只是3.0.3)
http://addons.sociz.com/firefox/54/
下载该版本后问题解决
 
结论:
1)FF自己的扩展兼容性检查并不完全,一些兼容性问题它发现不了
2)FF自己的扩展库有时候并不是最新的扩展版本,这个其实需要靠扩展作者及时同步更新上去。有时候作者没来得及更新,就一时间找不到。
 
6. 继续使用,有时候经常出现假死十来秒的情况
怀疑还存在某些扩展不太兼容性
尚未发现其他问题

展开阅读全文

没有更多推荐了,返回首页